=== debian/changelog ===
mathicgb (1.0~git20220621-2) unstable; urgency=medium

  * debian/patches/libatomic.patch
    - Restore patch; the build was still failing on mipsel and m68k
      linking with TBB without the -latomic flag.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 25 Jun 2022 22:11:22 -0400

mathicgb (1.0~git20220621-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/patches/big-endian.patch
    - Remove patch; issue fixed upstream.
  * debian/patches/libatomic.patch
    - Remove patch; the issue was fixed in a recent upload of the TBB
      package (2021.5.0-11).

 -- Doug Torrance <dtorrance@debian.org>  Wed, 22 Jun 2022 22:56:03 -0400
