=== debian/control ===
Source: mathicgb
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgtest-dev <!nocheck>,
               libmathic-dev,
               libmemtailor-dev,
               libtbb-dev [linux-any],
               pkg-config
Standards-Version: 4.6.1
Section: math
Homepage: https://github.com/Macaulay2/mathicgb
Vcs-Git: https://salsa.debian.org/math-team/mathicgb.git
Vcs-Browser: https://salsa.debian.org/math-team/mathicgb
Rules-Requires-Root: no

Package: mathicgb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Compute Groebner bases (command line tool)
 Mathicgb is a program for computing Groebner basis and signature Groebner
 bases.  Mathicgb is based on the fast data structures from mathic.
 .
 The paper "Practical Groebner Basis Computation" describes the algorithms in
 Mathicgb from a high level. It was presented at ISSAC 2012 and is available at
 http://arxiv.org/abs/1206.6940
 .
 This package contains the command line tool.

Package: libmathicgb-dev
Section: libdevel
Architecture: any
Depends: libmathicgb0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Compute Groebner bases (developer tools)
 Mathicgb is a program for computing Groebner basis and signature Groebner
 bases.  Mathicgb is based on the fast data structures from mathic.
 .
 The paper "Practical Groebner Basis Computation" describes the algorithms in
 Mathicgb from a high level. It was presented at ISSAC 2012 and is available at
 http://arxiv.org/abs/1206.6940
 .
 This package contains the developer tools.

Package: libmathicgb0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Compute Groebner bases (runtime library)
 Mathicgb is a program for computing Groebner basis and signature Groebner
 bases.  Mathicgb is based on the fast data structures from mathic.
 .
 The paper "Practical Groebner Basis Computation" describes the algorithms in
 Mathicgb from a high level. It was presented at ISSAC 2012 and is available at
 http://arxiv.org/abs/1206.6940
 .
 This package contains the runtime library.
