## mathicgb 1.0~git20231121

=== debian/changelog ===
mathicgb (1.0~git20231121-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 21 Dec 2023 08:58:50 -0500
