=== debian/changelog ===
mathicgb (1.0~git20240206-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:05:18 +0000

mathicgb (1.0~git20240206-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062858

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 12:17:42 +0000

mathicgb (1.0~git20240206-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 05 Feb 2024 22:42:33 -0500
