=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mathicgb
 Priority: optional
-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libgtest-dev <!nocheck>,
                libmathic-dev,
                libmemtailor-dev,
                libtbb-dev [linux-any],
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: math
 Homepage: https://github.com/Macaulay2/mathicgb
 Vcs-Git: https://salsa.debian.org/math-team/mathicgb.git
@@ -32,7 +33,7 @@
 Package: libmathicgb-dev
 Section: libdevel
 Architecture: any
-Depends: libmathicgb0 (= ${binary:Version}), ${misc:Depends}
+Depends: libmathicgb0t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Compute Groebner bases (developer tools)
  Mathicgb is a program for computing Groebner basis and signature Groebner
@@ -44,7 +45,10 @@
  .
  This package contains the developer tools.
 
-Package: libmathicgb0
+Package: libmathicgb0t64
+Provides: ${t64:Provides}
+Replaces: libmathicgb0
+Breaks: libmathicgb0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
