=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

WITH_GTEST := $(if $(filter nocheck, $(DEB_BUILD_OPTIONS)), \
	--without-gtest, GTEST_PATH=/usr/src/gtest)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(WITH_GTEST) --enable-shared
