## mathicgb 1.0~git20250513

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,6 @@
   -DPACKAGE_BUGREPORT=""
   -DPACKAGE_URL=""
   -DPACKAGE="${PROJECT_NAME}"
-  $<$<NOT:$<BOOL:${with_tbb}>>:-DMATHICGB_NO_TBB>
   -Wall -Wextra -Wno-unused-parameter -Wno-unused-value -Wno-unused-variable -Wno-sign-compare
   )
