=== debian/changelog ===
mathicgb (1.0~git20250513-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.7.2
    - Replace obsolete pkg-config with pkgconf in Build-Depends.
  * debian/copyright
    - Update my copyright years.
  * debian/gbp.conf
    - Set pristine-tar to true.
  * debian/libmathicgb0t64.lintian-overrides
    - Remove file; its only override is no longer used (lintian recognizes
      the t64 suffix).
  * debian/patches/libatomic.patch
    - Refresh for new release.
  * debian/rules
    - Don't set GTEST_PATH any more; no longer used.
  * debian/tests/unittest
    - Link against googletest instead of compiling it.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 26 Aug 2025 12:14:35 -0400
