=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: mathicgb
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libgtest-dev <!nocheck>,
                libmathic-dev,
                libmemtailor-dev,
                libtbb-dev [linux-any],
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.2
 Section: math
 Homepage: https://github.com/Macaulay2/mathicgb
 Vcs-Git: https://salsa.debian.org/math-team/mathicgb.git
