=== debian/tests/control ===
Tests: unittest
Depends: build-essential,
         libgtest-dev,
         libmathic-dev,
         libmathicgb-dev,
         libmemtailor-dev,
         libtbb-dev,
         pkg-config
Restrictions: allow-stderr
