## mathicgb 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-project(mathicgb VERSION 1.0 LANGUAGES CXX)
+project(mathicgb VERSION 1.1 LANGUAGES CXX)
 
 option(enable_mgb "Build mgb" ON)
 option(with_tbb "use TBB for multithreading" auto)
