=== debian/changelog ===
mathicgb (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Remove redundant Rules-Requires-Root field.
  * debian/mathicgb.examples
    - Remove file; example files are not included in distribution tarball.
  * debian/watch
    - Update to use tarball on GitHub releases page.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 13 Dec 2025 18:11:14 -0500
