=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Homepage: https://github.com/Macaulay2/mathicgb
 Vcs-Git: https://salsa.debian.org/math-team/mathicgb.git
 Vcs-Browser: https://salsa.debian.org/math-team/mathicgb
-Rules-Requires-Root: no
 
 Package: mathicgb
 Architecture: any
