=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/Macaulay2/mathicgb/releases \
https://github.com/Macaulay2/mathicgb/releases/download/v.*/mathicgb-@ANY_VERSION@@ARCHIVE_EXT@
