## mathicgb 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-project(mathicgb VERSION 1.1 LANGUAGES CXX)
+project(mathicgb VERSION 1.2 LANGUAGES CXX)
 
 option(enable_mgb "Build mgb" ON)
 option(with_tbb "use TBB for multithreading" auto)
@@ -65,6 +65,7 @@
     src/cli/MatrixAction.hpp   src/cli/MatrixAction.cpp
     src/cli/SigGBAction.hpp    src/cli/SigGBAction.cpp
     src/cli/HelpAction.hpp     src/cli/HelpAction.cpp
+    src/cli/VersionAction.hpp  src/cli/VersionAction.cpp
     )
   target_link_libraries(mgb mathicgb)
   install(TARGETS mgb RUNTIME DESTINATION bin)
