=== debian/changelog ===
mathicgb (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Drop Priority field; "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
  * debian/copyright
    - Update my copyright years.
  * debian/watch
    - Use a less greedy regex for the download URL.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 04 Feb 2026 06:51:19 -0500
