=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: mathicgb
-Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
@@ -8,7 +7,7 @@
                libmemtailor-dev,
                libtbb-dev [linux-any],
                pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: math
 Homepage: https://github.com/Macaulay2/mathicgb
 Vcs-Git: https://salsa.debian.org/math-team/mathicgb.git
