=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/Macaulay2/mathicgb/releases \
[^"]*/mathicgb-@ANY_VERSION@@ARCHIVE_EXT@
